
#ifndef _GAME_H
#define _GAME_H

// the maximum number of connected clients
#define CLIENTS_MAX 8

// game modes
#define GAME_MODE_TAKING_CLIENTS 0
#define GAME_MODE_GAME           1

// game multiplayer modes
#define GAME_MULTIPLAYER_MODE_3_LIVES       0
#define GAME_MULTIPLAYER_MODE_10_KILLS      1
#define GAME_MULTIPLAYER_MODE_40_SECONDS    2
#define GAME_MULTIPLAYER_MODE_COLLECT_STARS 3
#define GAME_MULTIPLAYER_MODE_DEATHMATCH    4

struct mac {
	unsigned char macAddress[8];
	char name[16];
	struct mac *next;
};

struct vs {
	unsigned char macAddress[8];
	int wins;
	int losses;
	struct vs *next;
};

struct stats {
	unsigned char macAddress[8];
	int plays;
	struct vs *vs;
	struct stats *next;
};

struct client {
	long long lastPingMS;
	unsigned long long iP;
	unsigned int packetID;
	unsigned char macAddress[8];
	int pingsSent;
	int port;
	int alive;
	int ready;
	int kills;
	int statisticsScrollY;
	int planeModel;
	int colorR;
	int colorG;
	int colorB;
	char name[16];
	struct stats *stats;
};

struct game {
	int mode;
	int clientsN;
	int level;
	int playMode;
	int stateBits;
	struct client clients[8];
	struct stats *stats;
	struct mac *macs;
};

#endif
